Package com.xebialabs.xlrelease.plugins.dashboard.domain

# Class Tile

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.ReleaseExtension
com.xebialabs.xlrelease.plugins.dashboard.domain.Tile

All Implemented Interfaces:
  `ConfigurationItem`, `VisitableItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, versioned=false, description="Base type for dashboard tiles") public class Tile extends ReleaseExtension
Base class for dashboard tiles, for example tiles of the "Release contents" page.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROPERTY_EXPIRATION_TIME`
  `static final String`
  `PROPERTY_MAX_CACHE_ENTRIES`
  `static final String`
  `PROPERTY_USER_SPECIFIC_CACHE`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCol()`
  `String`
  `getConfigurationUri()`
  `List<String>`
  `getDefaultDashboards()`
  `String`
  `getDescription()`
  `String`
  `getDetailsUri()`
  `Integer`
  `getExpirationTime()`
  `Integer`
  `getHeight()`
  `Integer`
  `getMaxCacheEntries()`
  `Integer`
  `getMinSizeX()`
  `Integer`
  `getMinSizeY()`
  `List<PropertyDescriptor>`
  `getProperties()`
  `String`
  `getProvisioningScriptLocation()`
  `Integer`
  `getRow()`
  `String`
  `getScriptLocation()`
  `List<String>`
  `getSupportedScopes()`
  `String`
  `getTitle()`
  `String`
  `getUri()`
  `Map<String,String>`
  `getVariableMapping()`
  `List<UsagePoint>`
  `getVariableUsages()`
  `Integer`
  `getWidth()`
  `boolean`
  `isCacheEnabled()`
  `boolean`
  `isEmbedded()`
  `boolean`
  `isSupportedOn(TileScope scope)`
  `boolean`
  `isUserSpecificCache()`
  `static Tile`
  `newDummy()`
  `void`
  `setCacheEnabled(boolean cacheEnabled)`
  `void`
  `setCol(Integer col)`
  `void`
  `setConfigurationUri(String configurationUri)`
  `void`
  `setDescription(String description)`
  `void`
  `setDetailsUri(String detailsUri)`
  `void`
  `setEmbedded(boolean embedded)`
  `void`
  `setExpirationTime(Integer expirationTime)`
  `void`
  `setHeight(Integer height)`
  `void`
  `setMaxCacheEntries(Integer maxCacheEntries)`
  `void`
  `setMinSizeX(Integer minSizeX)`
  `void`
  `setMinSizeY(Integer minSizeY)`
  `void`
  `setRow(Integer row)`
  `void`
  `setSupportedScopes(List<String> supportedScopes)`
  `void`
  `setTitle(String title)`
  `void`
  `setUri(String uri)`
  `void`
  `setUserSpecificCache(boolean userSpecificCache)`
  `void`
  `setVariableMapping(Map<String,String> variableMapping)`
  `void`
  `setWidth(Integer width)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.ReleaseExtension

  `accept`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### PROPERTY_USER_SPECIFIC_CACHE

    public static final String PROPERTY_USER_SPECIFIC_CACHE
    See Also:
      - Constant Field Values

  - ### PROPERTY_EXPIRATION_TIME

    public static final String PROPERTY_EXPIRATION_TIME
    See Also:
      - Constant Field Values

  - ### PROPERTY_MAX_CACHE_ENTRIES

    public static final String PROPERTY_MAX_CACHE_ENTRIES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Tile

    public Tile()

- ## Method Details

  - ### getVariableUsages

    public List<UsagePoint> getVariableUsages()
    Overrides:
      `getVariableUsages` in class `ReleaseExtension`

  - ### getProperties

    public List<PropertyDescriptor> getProperties()

  - ### newDummy

    public static Tile newDummy()

  - ### isSupportedOn

    public boolean isSupportedOn(TileScope scope)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getUri

    public String getUri()

  - ### setUri

    public void setUri(String uri)

  - ### getDetailsUri

    public String getDetailsUri()

  - ### setDetailsUri

    public void setDetailsUri(String detailsUri)

  - ### getConfigurationUri

    public String getConfigurationUri()

  - ### setConfigurationUri

    public void setConfigurationUri(String configurationUri)

  - ### getDefaultDashboards

    public List<String> getDefaultDashboards()

  - ### getWidth

    public Integer getWidth()

  - ### setWidth

    public void setWidth(Integer width)

  - ### getRow

    public Integer getRow()

  - ### setRow

    public void setRow(Integer row)

  - ### getCol

    public Integer getCol()

  - ### setCol

    public void setCol(Integer col)

  - ### getMinSizeX

    public Integer getMinSizeX()

  - ### setMinSizeX

    public void setMinSizeX(Integer minSizeX)

  - ### getMinSizeY

    public Integer getMinSizeY()

  - ### setMinSizeY

    public void setMinSizeY(Integer minSizeY)

  - ### getVariableMapping

    public Map<String,String> getVariableMapping()

  - ### setVariableMapping

    public void setVariableMapping(Map<String,String> variableMapping)

  - ### isCacheEnabled

    public boolean isCacheEnabled()

  - ### setCacheEnabled

    public void setCacheEnabled(boolean cacheEnabled)

  - ### isUserSpecificCache

    public boolean isUserSpecificCache()

  - ### setUserSpecificCache

    public void setUserSpecificCache(boolean userSpecificCache)

  - ### getExpirationTime

    public Integer getExpirationTime()

  - ### setExpirationTime

    public void setExpirationTime(Integer expirationTime)

  - ### getMaxCacheEntries

    public Integer getMaxCacheEntries()

  - ### setMaxCacheEntries

    public void setMaxCacheEntries(Integer maxCacheEntries)

  - ### getScriptLocation

    public String getScriptLocation()

  - ### getProvisioningScriptLocation

    public String getProvisioningScriptLocation()

  - ### isEmbedded

    public boolean isEmbedded()

  - ### setEmbedded

    public void setEmbedded(boolean embedded)

  - ### getSupportedScopes

    public List<String> getSupportedScopes()

  - ### setSupportedScopes

    public void setSupportedScopes(List<String> supportedScopes)

  - ### getHeight

    public Integer getHeight()

  - ### setHeight

    public void setHeight(Integer height)